Visual LISP, AutoLISP and General Customization

Visual LISP, AutoLISP and General Customization

Reply
*Engenharia, Projetar
Message 1 of 12 (145 Views)

Help me, Please!

145 Views, 11 Replies
02-02-2000 10:10 AM
How can use the Osnap "APParent Intersect" into a Lisp.

Others osnap options use only one point as CENter option below:

(setq pt2 (osnap pt1 "cen"))

But to use APParent Intersect ou Perpendicular is necessary two points.

I've tried use:

(setq pt2 (osnap pt1 "app"))
(setq pt2 (osnap pt1 pt2 "app"))
(setq pt2 (osnap pt1 "app" pt2))
(setq pt2 (osnap "app" pt1 pt2))

But none of them works.

Can Someone help me??

Thanks
*Oquendo, Frank
Message 2 of 12 (145 Views)

Re: Help me, Please!

02-02-2000 10:13 AM in reply to: *Engenharia, Projetar
That has been the topic of more than one post in recent weeks. It seems
there is no way to do it short of using the INTERS function.

"Projetar Engenharia" wrote in message
news:879ru8$2q811@adesknews2.autodesk.com...
> How can use the Osnap "APParent Intersect" into a Lisp.
>
> Others osnap options use only one point as CENter option below:
>
> (setq pt2 (osnap pt1 "cen"))
>
> But to use APParent Intersect ou Perpendicular is necessary two points.
>
> I've tried use:
>
> (setq pt2 (osnap pt1 "app"))
> (setq pt2 (osnap pt1 pt2 "app"))
> (setq pt2 (osnap pt1 "app" pt2))
> (setq pt2 (osnap "app" pt1 pt2))
>
> But none of them works.
>
> Can Someone help me??
>
> Thanks
>
>
>
*Nehls, Kevin
Message 3 of 12 (145 Views)

Re:

02-02-2000 10:34 AM in reply to: *Engenharia, Projetar
That's the way that my "apparent intersection" routine works in R12 (no
apparent intersection osnap).
--
----------
Kevin Nehls
for reply remove -ns-

Frank Oquendo wrote in article
<879s43$2qa10@adesknews2.autodesk.com>...
> That has been the topic of more than one post in recent weeks. It seems
> there is no way to do it short of using the INTERS function.
>
*Tanzillo, Tony
Message 4 of 12 (145 Views)

Re: Help me, Please!

02-02-2000 11:48 AM in reply to: *Engenharia, Projetar
If you're using AutoCAD 2000, you can use (vla-intersect-with)
to do the equilvalent of APPINT (including curves, which the
(inters) function can't be used for).

Projetar Engenharia wrote:
>
> How can use the Osnap "APParent Intersect" into a Lisp.
>
> Others osnap options use only one point as CENter option below:
>
> (setq pt2 (osnap pt1 "cen"))
>
> But to use APParent Intersect ou Perpendicular is necessary two points.
>
> I've tried use:
>
> (setq pt2 (osnap pt1 "app"))
> (setq pt2 (osnap pt1 pt2 "app"))
> (setq pt2 (osnap pt1 "app" pt2))
> (setq pt2 (osnap "app" pt1 pt2))
>
> But none of them works.
>
> Can Someone help me??
>
> Thanks

--
/*********************************************************/
/* Tony Tanzillo Design Automation Consulting */
/* Programming & Customization for AutoCAD & Compatibles */
/* ----------------------------------------------------- */
/* tony.tanzillo@worldnet.att.net */
/* http://ourworld.compuserve.com/homepages/tonyt */
/*********************************************************/
*Nehls, Kevin
Message 5 of 12 (145 Views)

Re:

02-02-2000 11:55 AM in reply to: *Engenharia, Projetar
AWESOME, thank you Tony. Now I can easily upgrade my routines (as we are
in the process of upgrade to A2K)

Thanks.
--
----------
Kevin Nehls
for reply remove -ns-

Tony Tanzillo wrote in article
<389889F7.C0B6555A@worldnet.att.net>...
> If you're using AutoCAD 2000, you can use (vla-intersect-with)
> to do the equilvalent of APPINT (including curves, which the
> (inters) function can't be used for).
>
*Ingram, Mark
Message 6 of 12 (145 Views)

Re:

02-02-2000 12:03 PM in reply to: *Engenharia, Projetar
I get ""no function definition (vla-intersect-with)"" in Acad2000.

????

Mark

Tony Tanzillo wrote in message <389889F7.C0B6555A@worldnet.att.net>...
>If you're using AutoCAD 2000, you can use (vla-intersect-with)
>to do the equilvalent of APPINT (including curves, which the
>(inters) function can't be used for).
>
>Projetar Engenharia wrote:
>>
>> How can use the Osnap "APParent Intersect" into a Lisp.
>>
>> Others osnap options use only one point as CENter option below:
>>
>> (setq pt2 (osnap pt1 "cen"))
>>
>> But to use APParent Intersect ou Perpendicular is necessary two points.
>>
>> I've tried use:
>>
>> (setq pt2 (osnap pt1 "app"))
>> (setq pt2 (osnap pt1 pt2 "app"))
>> (setq pt2 (osnap pt1 "app" pt2))
>> (setq pt2 (osnap "app" pt1 pt2))
>>
>> But none of them works.
>>
>> Can Someone help me??
>>
>> Thanks
>
>--
>/*********************************************************/
>/* Tony Tanzillo Design Automation Consulting */
>/* Programming & Customization for AutoCAD & Compatibles */
>/* ----------------------------------------------------- */
>/* tony.tanzillo@worldnet.att.net */
>/* http://ourworld.compuserve.com/homepages/tonyt */
>/*********************************************************/
*Bell, R. Robert
Message 7 of 12 (145 Views)

Re:

02-02-2000 12:13 PM in reply to: *Engenharia, Projetar
Did you (vl-load-com)?

--
R. Robert Bell, MCSE
Network Administrator (or, Modern-day Wizard)
(remove the "not." in my address for direct e-mail)

Mark Ingram wrote in message
news:87a2tq$2qe22@adesknews2.autodesk.com...
> I get ""no function definition (vla-intersect-with)"" in Acad2000.
>
> ????
>
> Mark
>
>
>
> Tony Tanzillo wrote in message <389889F7.C0B6555A@worldnet.att.net>...
> >If you're using AutoCAD 2000, you can use (vla-intersect-with)
> >to do the equilvalent of APPINT (including curves, which the
> >(inters) function can't be used for).
> >
> >Projetar Engenharia wrote:
> >>
> >> How can use the Osnap "APParent Intersect" into a Lisp.
> >>
> >> Others osnap options use only one point as CENter option below:
> >>
> >> (setq pt2 (osnap pt1 "cen"))
> >>
> >> But to use APParent Intersect ou Perpendicular is necessary two points.
> >>
> >> I've tried use:
> >>
> >> (setq pt2 (osnap pt1 "app"))
> >> (setq pt2 (osnap pt1 pt2 "app"))
> >> (setq pt2 (osnap pt1 "app" pt2))
> >> (setq pt2 (osnap "app" pt1 pt2))
> >>
> >> But none of them works.
> >>
> >> Can Someone help me??
> >>
> >> Thanks
> >
> >--
> >/*********************************************************/
> >/* Tony Tanzillo Design Automation Consulting */
> >/* Programming & Customization for AutoCAD & Compatibles */
> >/* ----------------------------------------------------- */
> >/* tony.tanzillo@worldnet.att.net */
> >/* http://ourworld.compuserve.com/homepages/tonyt */
> >/*********************************************************/
>
>
*Tanzillo, Tony
Message 8 of 12 (145 Views)

Re:

02-02-2000 12:40 PM in reply to: *Engenharia, Projetar
Sorry - the method name is (vla-intersectWith).

Mark Ingram wrote:
>
> I get ""no function definition (vla-intersect-with)"" in Acad2000.
>
> ????
>
> Mark
>
> Tony Tanzillo wrote in message <389889F7.C0B6555A@worldnet.att.net>...
> >If you're using AutoCAD 2000, you can use (vla-intersect-with)
> >to do the equilvalent of APPINT (including curves, which the
> >(inters) function can't be used for).
> >
> >Projetar Engenharia wrote:
> >>
> >> How can use the Osnap "APParent Intersect" into a Lisp.
> >>
> >> Others osnap options use only one point as CENter option below:
> >>
> >> (setq pt2 (osnap pt1 "cen"))
> >>
> >> But to use APParent Intersect ou Perpendicular is necessary two points.
> >>
> >> I've tried use:
> >>
> >> (setq pt2 (osnap pt1 "app"))
> >> (setq pt2 (osnap pt1 pt2 "app"))
> >> (setq pt2 (osnap pt1 "app" pt2))
> >> (setq pt2 (osnap "app" pt1 pt2))
> >>
> >> But none of them works.
> >>
> >> Can Someone help me??
> >>
> >> Thanks
> >
> >--
> >/*********************************************************/
> >/* Tony Tanzillo Design Automation Consulting */
> >/* Programming & Customization for AutoCAD & Compatibles */
> >/* ----------------------------------------------------- */
> >/* tony.tanzillo@worldnet.att.net */
> >/* http://ourworld.compuserve.com/homepages/tonyt */
> >/*********************************************************/

--
/*********************************************************/
/* Tony Tanzillo Design Automation Consulting */
/* Programming & Customization for AutoCAD & Compatibles */
/* ----------------------------------------------------- */
/* tony.tanzillo@worldnet.att.net */
/* http://ourworld.compuserve.com/homepages/tonyt */
/*********************************************************/
*Ingram, Mark
Message 9 of 12 (145 Views)

Re:

02-02-2000 12:50 PM in reply to: *Engenharia, Projetar
Thanks. Also, why does this not appear in help?

Mark
*Oquendo, Frank
Message 10 of 12 (145 Views)

Re:

02-02-2000 12:59 PM in reply to: *Engenharia, Projetar
It does but it does so in the wrong language. If you highlight
vla-intersectwith and press the help button, you get help on the VBA
version. This is because vla functions are actually LISP wrappers for
ActiveX methods.

"Mark Ingram" wrote in message
news:87a5lv$2q832@adesknews2.autodesk.com...
> Thanks. Also, why does this not appear in help?
>
> Mark
>
>
Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.